<div>
  <mat-card class="m-20">
    <mat-card-header>
      <mat-card-title>Gerenciar categorias</mat-card-title>
    </mat-card-header>

    <mat-card-content >
       <mat-card *ngIf="dataSource?.length == 0">
        <mat-card-content>
            Não há registros de categoria.
        </mat-card-content>
       </mat-card>

      <table mat-table *ngIf="dataSource.length > 0" [dataSource]="dataSource" class="mat-elevation-z8">
        <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef> Id. </th>
          <td mat-cell *matCellDef="let element; let i = index"> {{i+1}} </td>
        </ng-container>

        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef> Nome </th>
          <td mat-cell *matCellDef="let element"> {{element.name}} </td>
        </ng-container>

        <ng-container matColumnDef="actions">
          <th mat-header-cell *matHeaderCellDef> Ações </th>
          <td mat-cell *matCellDef="let element">
            <button (click)="editCategory(element)" mat-raised-button color="accent" class="mr-10">Editar</button>
            <button (click)="deleteCategory(element)" mat-raised-button color="warn">Apagar</button>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

    </mat-card-content>

    <mat-card-actions>
      <a mat-raised-button color="warn" [routerLink]="['/']" class="mr-10">Home</a>
      <a mat-raised-button color="primary" (click)="createNewCategory()">Criar Nova Categoria</a>
    </mat-card-actions>

  </mat-card>

</div>

